package org.etsi.t3d.config;

import org.etsi.common.configuration.OptionWithID;
import org.etsi.common.configuration.OptionsHandler;


public class T3DOptionsHandler extends OptionsHandler {

	public T3DOptionsHandler() {
		super();
		this.initializeCustomOptions();
	}

	private void initializeCustomOptions() {
		//TODO: add arguments ?
		OptionWithID optionWithID;
		optionWithID = new OptionWithID(21, "html", "Generate HTML documentation, including intermediate XML files");
		getOptions().addOption(optionWithID);
		
		optionWithID = new OptionWithID(22, "xml-only", "Generate intermediate XML files only");
		getOptions().addOption(optionWithID);

		optionWithID = new OptionWithID(23, "local-dependencies", "Generate local dependencies XML file\n");
		getOptions().addOption(optionWithID);

	}
}
